<?php
 require("conecta.php");
 $tipo=$_GET['tipo'];
 $final=$_GET['final'];
 for ($i=1;$i<=$final;$i++){
  //*****captura de codigos
  $argcod="cod" . $i;
  $cod[$i]=$_GET[$argcod];
  $codc=$cod[$i];
  //***********************  
  //********captura de cantidades
  $argcant="can" . $i;
  $cant[$i]=$_GET[$argcant];
  $cantc=$cant[$i];
  //**************************    
  //*******captura de precios
  $argpre="pre" .$i;
  $pre[$i]=$_GET[$argpre];
  $prec=$pre[$i];
  //*************************  
  //echo $codc . "/" . $cantc . "/" . $prec . "<br>";
  $rut=$_GET['rut'];
  $tipo=$_GET['tipo'];  
  $numero=sprintf("%07d",$_GET['numero']);  
  //detectamos si se trata de una guía anombre de 
  //diego veas para darle el trato de compra  
  $nombre="VEAS LOPEZ DIEGO Y OTRO";
  $cuenta++;
  if ($tipo=="03" && $rut=="507137105"){
   $sqle="replace adae03 (numero,fecha,rut,nombre) values ('$numero','$fecha','$rut','$nombre')";
   if ($cuenta==1){//SE GRABA SÓLO UNA VEZ
    $rese=mysql_query($sqle,$con);// or die(mysql_error());
   }
   $llave=$numero . sprintf("%03d",$cuenta);
   $sqli="replace into adai03 (llave,cantidad,cod_interno) values ('$llave','$cantc','$codc');";
   $resi=mysql_query($sqli,$con);// or die(mysql_error());
  }  
  //***************************************** 
  //incremento o decremento del stock según corresponda
  //consulta existencia y creacion del item si se necesita
  $sqlci="select cod_interno from m07001 where cod_interno='$codc';";
  $resci=mysql_query($sqlci,$con) or die(mysql_error());
  if (mysql_num_rows($resci)>0){//si #
   }else{ 
    $sqlcrea1="insert into m07001 (cod_interno,precio) values ('$codc','$prec');";
	$rescrea1=mysql_query($sqlcrea1,$con);// or die(mysql_error());
	$sqlcrea2="insert into m07005 (cod_interno,stock) values ('$codc','$cantc');";
    $rescrea2=mysql_query($sqlcrea2,$con);// or die(mysql_error());
  }	//fin si #
  $cantc=$cantc*1;
  if (($tipo != "03") && ($rut != "507137105")){
   $sqlact1="update m07005 set stockcc=(stockcc - $cantc) where cod_interno='$codc';";
   $resact1=mysql_query($sqlact1,$con);// or die(mysql_error());
   $sqlact2="update m07001 set precio=$prec where cod_interno='$codc';";
   $resact2=mysql_query($sqlact2,$con);// or die(mysql_error());
   //echo $sqlact1;   
  }else{
   $sqlact1="update m07005 set stock=(stock + $cantc) where cod_interno='$codc';";
   $resact1=mysql_query($sqlact1,$con);// or die(mysql_error());
   $sqlact2="update m07001 set precio=$prec where cod_interno='$codc';";
   $resact2=mysql_query($sqlact2,$con);//  or die(mysql_error());
   }
  //******************************************************
 }//next 
 mysql_close($con);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script language="javascript">
 function envia(){  
  window.close();
 }
</script>
<style type="text/css">
<!--
.Estilo1 {
	font-family: "Courier New", Courier, mono;
	font-weight: bold;
}
-->
</style>
</head>
</head>
<body onLoad="envia()">
<div align="center" class="Estilo1"></div>
<form name="form1" method="post" action="m0205001.php">
</form>
<div align="center">
  <p><span class="Estilo1">ACTUALIZANDO LOCAL2 ESPERE</span> .....</p>
  <p>&nbsp;  </p>
</div>
</body>
</html>